Start
Guides
Concepts
API endpoints
GET
Get domain group
https://linkshift.app/api/v1/domain-groups/{id}Returns one domain group by ID when it belongs to the authenticated organization.
Operation ID:
getDomainGroupTags: Domain GroupsSecurity
- ApiKeyAuth: apiKey | header:X-API-Key | API key generated in LinkShift dashboard (`Organization -> Manage API keys`).
Parameters
Path parameters
idrequired
Type: stringDescription: Resource identifier.
Request body schema
No request body schema.
Response schema
Domain group details
Content type:
application/jsonresponse 200objectrequired
Domain-group entity used to scope domains, rules, tests, and link maps.
createdAtstringrequired
Creation timestamp (UTC).
customRobotsContentstring | nullnullable
Used only when robotsPolicy is CUSTOM.
deletedAtstring | nullnullable
Soft-delete timestamp in UTC when deleted.
idstringrequired
Domain-group ID.
namestringrequired
Human-readable domain-group name.
organizationIdstringrequired
Owning organization ID.
robotsPolicystringrequired
Controls robots.txt behavior for all domains in a domain group.
CUSTOM requires customRobotsContent.
updatedAtstringrequired
Last update timestamp (UTC).
